explain_remove_or_die(3)

NAME
explain_remove_or_die - delete a file and report errors
    "delete a file and report errors"

SYNOPSIS
#include <libexplain/remove.h>

void explain_remove_or_die(const char *pathname);

DESCRIPTION
The explain_remove_or_die function is used to call the remove(2) system call. On failure an explanation will be printed to stderr, obtained from explain_remove(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_remove_or_die(pathname);

pathname
    The pathname, exactly as to be passed to the remove(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

remove(2)
    delete a name and possibly the file it refers to

explain_remove(3)
    explain remove(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller